------------------------------------------------------------------------------------
--Name:  	ValentineDay4
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-02-06
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(130, 151)
CppScriptMgr:SetViewScale(160)
local npc_2 = CppScriptMgr:AddSimplePlayer(1061790, 125, 155, "Odette", 0, 0)
npc_2:SetZoomPercent(180)
npc_2:SetHide(1)
local npc_0 = CppScriptMgr:AddSimplePlayer(1061780, 145, 155, "Leon", 0, 0)
npc_0:SetZoomPercent(180)
npc_0:SetHide(1)
local npc_1 = CppScriptMgr:AddSimplePlayer(1060420, 117, 152, "Daisy", 0, 0)
npc_1:SetZoomPercent(150)
npc_1:SetDir(6)
npc_1:SetHide(1)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:NpcCallOut("Honorable viewers, the show begins!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc2177", 150, 430, "Irwin", 250, 655, false)
CppScriptMgr:WaitMilSec(2990)
npc_0:SetHide(0)
npc_2:WalkTo(132, 155)
npc_2:SetHide(0)
npc_0:WalkTo(132, 155)
CppScriptMgr:WaitMilSec(2900)
CppScriptMgr:NpcCallOut("This wonderful fate brings us together again. Please dance with me!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202308", 150, 430, "Leon", 250, 655, false)
npc_0:Say("This wonderful fate brings us together again. Please dance with me!", 2000)
npc_0:SetAction(101)
CppScriptMgr:WaitMilSec(340)
local effect_0 = CppScriptMgr:AddEffect("irongate_superc", 117, 152, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1270)
npc_2:SetAction(230)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:NpcCallOut("As you wish, my dear prince.", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202306", 150, 430, "Odette", 250, 655, false)
CppScriptMgr:WaitMilSec(780)
npc_1:SetHide(0)
CppScriptMgr:WaitMilSec(1200)
npc_2:SetAction(1111)
npc_0:SetAction(1111)
CppScriptMgr:WaitMilSec(650)
CppScriptMgr:NpcCallOut("Please don`t disappoint the princess.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc21474", 150, 430, "Daisy", 250, 655, false)
CppScriptMgr:WaitMilSec(230)
npc_1:SetAction(101)
CppScriptMgr:WaitMilSec(5470)